List off-ramps
curl --request GET \
--url https://platform.spritz.finance/v1/off-ramps/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.spritz.finance/v1/off-ramps/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.spritz.finance/v1/off-ramps/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "6a99b80613a0c37251651788",
"quoteId": "6a99b7bacc18094dfe644ba6",
"status": "awaiting_funding",
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"input": {
"amount": "0.25",
"token": "USDC",
"chain": "ethereum"
},
"output": {
"amount": "100.00",
"currency": "USD",
"accountId": "6a9fee5c215e5530b3530e72",
"accountName": "Chase Checking ••4567",
"rail": "ach_standard"
},
"fiatDestination": "bank_account",
"fees": {
"amount": "1.25",
"currency": "USD"
},
"transaction": {
"hash": "0xabc123...",
"explorerUrl": "https://etherscan.io/tx/0xabc123..."
}
}
],
"hasMore": true,
"nextCursor": "eyJpZCI6Im9mZnJhbXBfeHl6Nzg5In0="
}{
"title": "Unauthorized",
"status": 401,
"type": "urn:problem-type:auth:unauthorized",
"detail": "Bearer token required",
"instance": "<string>",
"realm": "API",
"scope": "read:users"
}{
"title": "<string>",
"status": 404,
"resourceType": "user",
"resourceId": "<string>",
"type": "about:blank",
"detail": "<string>",
"instance": "<string>"
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true,
"retryAfter": 5,
"suggestedAction": "auto_ramp",
"clearsAt": "2023-11-07T05:31:56Z",
"availableAt": "2023-11-07T05:31:56Z",
"permanent": true
}Off-Ramps
List off-ramps
Returns a paginated list of off-ramp payments for the authenticated user.
Filtering:
status: Filter by payment statusnetwork: Filter by payment networkaccountId: Filter by destination account ID
Sorting:
sort=desc(default): Newest firstsort=asc: Oldest first
Pagination:
Use cursor-based pagination with the cursor parameter.
GET
/
v1
/
off-ramps
/
List off-ramps
Authorizations
bearerAuthintegratorJwtbearerAuth & hmacAuth & integratorKey & timestamp
User bearer credential: either a Cognito JWT or an ak_ user API key. Backend integrators using HMAC must include the user API key alongside the three HMAC headers on user-scoped endpoints.
Query Parameters
Maximum number of results to return
Required range:
1 <= x <= 100Opaque cursor for pagination. Use the nextCursor value from the previous response.
Available options:
awaiting_funding, queued, in_flight, completed, canceled, failed, reversed, refunded Available options:
ethereum, polygon, arbitrum, base, optimism, avalanche, binance-smart-chain, solana, bitcoin, dash, tron, sui, hyperevm, monad, sonic, unichain Filter by destination account ID
Example:
"6a9fee5c215e5530b3530e74"
Available options:
desc, asc